OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.Meminfo

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetATIMeminfo :: MonadIO m => m Bool
- gl_ATI_meminfo :: Bool
- gl_RENDERBUFFER_FREE_MEMORY_ATI :: GLenum
- gl_TEXTURE_FREE_MEMORY_ATI :: GLenum
- gl_VBO_FREE_MEMORY_ATI :: GLenum

# Extension Support

glGetATIMeminfo :: MonadIO m => m Bool

Is the ATI_meminfo extension supported?

gl_ATI_meminfo :: Bool

Is the ATI_meminfo extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIMeminfo` in those cases instead.

# Enums

gl_RENDERBUFFER_FREE_MEMORY_ATI :: GLenum

gl_TEXTURE_FREE_MEMORY_ATI :: GLenum

gl_VBO_FREE_MEMORY_ATI :: GLenum